メインコンテンツへスキップ
GET
/
url-mappings
/
v3
/
url-mappings
cURL
curl --request GET \
  --url https://api.hubapi.com/url-mappings/v3/url-mappings \
  --header 'Authorization: Bearer <token>'
[
  {
    "cdnPurgeEmbargoTime": 123,
    "contentGroupId": 123,
    "cosObjectType": "ACCESS_GROUP_MEMBERSHIP",
    "created": 123,
    "createdById": 123,
    "deletedAt": 123,
    "destination": "<string>",
    "id": 123,
    "internallyCreated": true,
    "isActive": true,
    "isMatchFullUrl": true,
    "isMatchQueryString": true,
    "isOnlyAfterNotFound": true,
    "isPattern": true,
    "isProtocolAgnostic": true,
    "isRegex": true,
    "isTrailingSlashOptional": true,
    "label": "<string>",
    "lastUsedAt": 123,
    "name": "<string>",
    "note": "<string>",
    "portalId": 123,
    "precedence": 123,
    "redirectStyle": 123,
    "routePrefix": "<string>",
    "updated": 123,
    "updatedById": 123
  }
]

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

レスポンス

successful operation

cdnPurgeEmbargoTime
integer<int64>
必須
contentGroupId
integer<int64>
必須
cosObjectType
enum<string>
必須
利用可能なオプション:
ACCESS_GROUP_MEMBERSHIP,
APP_PAGE,
BLOCK,
BLOG,
BLOG_AUTHOR,
BRAND_BUSINESS_UNIT,
BRAND_SETTINGS,
CONTACT_MEMBERSHIP,
CONTENT,
CONTENT_EMBED,
CONTENT_FOLDER,
CONTENT_GROUP,
CRM_OBJECT,
CRM_OBJECT_TYPE,
CUSTOM_WIDGET,
CUSTOMER_PORTAL,
DATA_QUERY,
DESIGN_FOLDER,
DOMAIN,
DOMAIN_SETTINGS,
EMAIL_ADDRESS,
EXTENSION_RESOURCE,
FILE,
FOLDER,
FOLLOW_ME,
FORM,
GLOBAL_CONTENT,
HUBDB_TABLE,
HUBDB_TABLE_ROW,
IMAGE,
JS_PROJECT_COMPONENT,
KNOWLEDGE_BASE,
KNOWLEDGE_CATEGORY,
KNOWLEDGE_CATEGORY_TRANSLATION,
KNOWLEDGE_HOMEPAGE_CATEGORY,
LAYOUT,
LAYOUT_SECTION,
LIST_MEMBERSHIP,
MARKETPLACE_LISTING,
PASSWORD_PROTECTED,
PAYMENT,
PERSONALIZATION_TOKEN,
PLACEMENT,
PROJECT,
QUOTE_TEMPLATE,
RAW_ASSET,
REDIRECT_URL,
SECTION,
SERVERLESS_FUNCTION,
SITE_MAP,
SITE_MENU,
SITE_SETTINGS,
SUBSCRIPTIONS_SETTINGS,
TAG,
THEME,
THEME_SETTINGS,
UNRESTRICTED_ACCESS,
URL_MAPPING,
VIDEO_PLAYER,
WIDGET,
WORKFLOW
created
integer<int64>
必須
createdById
integer<int32>
必須
deletedAt
integer<int64>
必須
destination
string
必須
id
integer<int64>
必須
internallyCreated
boolean
必須
isActive
boolean
必須
isMatchFullUrl
boolean
必須
isMatchQueryString
boolean
必須
isOnlyAfterNotFound
boolean
必須
isPattern
boolean
必須
isProtocolAgnostic
boolean
必須
isRegex
boolean
必須
isTrailingSlashOptional
boolean
必須
label
string
必須
lastUsedAt
integer<int64>
必須
name
string
必須
note
string
必須
portalId
integer<int32>
必須
precedence
integer<int32>
必須
redirectStyle
integer<int32>
必須
routePrefix
string
必須
updated
integer<int64>
必須
updatedById
integer<int32>
必須
Last modified on April 14, 2026